<?xml version="1.0" encoding="UTF-8"?>

<web-app xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd" version="2.4">
	<display-name>proveo-portlets</display-name>
	<context-param>
		<param-name>company_id</param-name>
		<param-value>proveo.de</param-value>
	</context-param>
	<context-param>
		<param-name>org.richfaces.SKIN</param-name>
		<param-value>proveo</param-value>
	</context-param>
	<context-param>
		<param-name>org.jboss.jbossfaces.WAR_BUNDLES_JSF_IMPL</param-name>
		<param-value>true</param-value>
	</context-param>
	<context-param>
		<param-name>facelets.LIBRARIES</param-name>
		<param-value>/WEB-INF/proveo-core.portlet.taglib.xml;/WEB-INF/proveo.portlet.taglib.xml;/WEB-INF/proveo-core.taglib.xml;/WEB-INF/proveo.taglib.xml;/WEB-INF/tomahawk.taglib.xml</param-value>
	</context-param>
	<context-param>
		<param-value>-1</param-value>
		<param-name>facelets.REFRESH_PERIOD</param-name>
	</context-param>
	<context-param>
		<param-name>javax.faces.DEFAULT_SUFFIX</param-name>
		<param-value>.xhtml</param-value>
	</context-param>
	<context-param>
		<param-name>javax.faces.STATE_SAVING_METHOD</param-name>
		<param-value>client</param-value>
	</context-param>
	<context-param>
		<param-name>javax.faces.CONFIG_FILES</param-name>
		<param-value>/WEB-INF/faces-config.xml,/WEB-INF/faces-beans-comp.xml,/WEB-INF/faces-converter-validator.xml</param-value>
	</context-param>
	<context-param>
		<param-name>org.ajax4jsf.VIEW_HANDLERS</param-name>
		<param-value>com.sun.facelets.FaceletPortletViewHandler</param-value>
	</context-param>
	<filter>
		<filter-name>MyFacesExtensionsFilter</filter-name>
		<filter-class>org.apache.myfaces.webapp.filter.ExtensionsFilter</filter-class>
		<init-param>
			<description>Set the size limit for uploaded files. Format: 10 - 10 bytes 10k - 10 KB 10m - 10 MB 1g - 1 GB</description>
			<param-name>uploadMaxFileSize</param-name>
			<param-value>100m</param-value>
		</init-param>
		<init-param>
			<description>Set the threshold size - files below this limit are stored in memory, files above this limit are stored on disk. Format: 10 - 10 bytes 10k - 10 KB 10m - 10 MB 1g - 1 GB</description>
			<param-name>uploadThresholdSize</param-name>
			<param-value>100k</param-value>
		</init-param>
	</filter>
	<filter>
		<display-name>Ajax4jsf Filter</display-name>
		<filter-name>ajax4jsf</filter-name>
		<filter-class>org.ajax4jsf.Filter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>ajax4jsf</filter-name>
		<servlet-name>FacesServlet</servlet-name>
		<dispatcher>REQUEST</dispatcher>
		<dispatcher>FORWARD</dispatcher>
		<dispatcher>INCLUDE</dispatcher>
	</filter-mapping>
	<filter-mapping>
		<filter-name>MyFacesExtensionsFilter</filter-name>
		<servlet-name>Faces Servlet</servlet-name>
	</filter-mapping>
	<filter-mapping>
		<filter-name>MyFacesExtensionsFilter</filter-name>
		<url-pattern>/faces/myFacesExtensionResource/*</url-pattern>
	</filter-mapping>
	<listener>
		<listener-class>com.liferay.portal.kernel.servlet.PortletContextListener</listener-class>
	</listener>
	<listener>
		<listener-class>de.proveo.rts.web.listener.RtsSessionListener</listener-class>
	</listener>
	<listener>
		<listener-class>org.apache.myfaces.webapp.StartupServletContextListener</listener-class>
	</listener>
	<listener>
		<listener-class>de.proveo.rts.web.listener.RtsContextListener</listener-class>
	</listener>
	<servlet>
		<servlet-name>welcome</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>unitOperation</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>groupOperation</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>operationUse</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>statusPieChart</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>statusBarChart</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>unitNotification</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>groupNotification</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>peakEvaluation</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>map</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>opertationUse</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>singleUnitOperation</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>basicUnitNotification</servlet-name>
		<servlet-class>com.liferay.portal.kernel.servlet.PortletServlet</servlet-class>
		<init-param>
			<param-name>portlet-class</param-name>
			<param-value>org.apache.portals.bridges.portletfilter.FilterPortlet</param-value>
		</init-param>
		<load-on-startup>0</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>FacesServlet</servlet-name>
		<servlet-class>javax.faces.webapp.FacesServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>ChartServlet</servlet-name>
		<servlet-class>de.proveo.rts.web.servlet.ChartServlet</servlet-class>
		<load-on-startup>2</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>welcome</servlet-name>
		<url-pattern>/welcome/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>unitOperation</servlet-name>
		<url-pattern>/unitOperation/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>groupOperation</servlet-name>
		<url-pattern>/groupOperation/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>operationUse</servlet-name>
		<url-pattern>/operationUse/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>statusPieChart</servlet-name>
		<url-pattern>/statusPieChart/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>statusBarChart</servlet-name>
		<url-pattern>/statusBarChart/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>unitNotification</servlet-name>
		<url-pattern>/unitNotification/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>groupNotification</servlet-name>
		<url-pattern>/groupNotification/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>peakEvaluation</servlet-name>
		<url-pattern>/peakEvaluation/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>map</servlet-name>
		<url-pattern>/map/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>opertationUse</servlet-name>
		<url-pattern>/opertationUse/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>singleUnitOperation</servlet-name>
		<url-pattern>/singleUnitOperation/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>basicUnitNotification</servlet-name>
		<url-pattern>/basicUnitNotification/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>ChartServlet</servlet-name>
		<url-pattern>/servlet/ChartServlet</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>FacesServlet</servlet-name>
		<url-pattern>/faces/*</url-pattern>
	</servlet-mapping>
	<jsp-config>
		<taglib>
			<taglib-uri>http://java.sun.com/portlet</taglib-uri>
			<taglib-location>/WEB-INF/tld/liferay-portlet.tld</taglib-location>
		</taglib>
	</jsp-config>
</web-app>